Loading...
Searching...
No Matches
MainWindow Class Reference

MainWindow. More...

`#include <mainwindow.h>`

Inheritance diagram for MainWindow:

## Private Slots

void | menu_actionEnglishGb_triggered ()

## Private Member Functions

void | defineOSspec ()
| Defines OS specific stuff.
void | readConfigs ()
| Reads the configurations file and apply the resulting configuration.
void | writeConfigs ()
| Writes the current configuration on file.
const std::string | list2string (const std::vector< std::string > &list, const bool &user_agent=false)
| Converts a list of items to a string. More...
const std::vector< std::string > | string2list (const std::string &string, const bool &user_agent=false)
| Retrieves a list of items from the given string. More...
void | updateUiLanguage ()
| Translates the UI to the selected language.
const std::string | geometryToString ()
| Converts the window's geometry to string. More...
void | geometryFromString (const std::string &geometry)
| Retrieves the window geometry from the given string. More...
void | detectIconsTheme ()
| Auto-detects the icon-set to use depending on the current window theme.
void | updateUiIcons ()
| Updates the icons on the window.
void | updateUiTheme ()
| Updates the window theme.
void | updateUiFonts ()
| Updates the fonts on the window.
const QString | printableSize (const int &bytes)
| Printable size, including suffix.
const QString | printableTime (const int &seconds)
| Printable time, including suffix(es)
const QString | printableSpeed (const int &bytes, const int &secs)
| Printable speed, namely printable size over printable time.
const std::string | resolvePath (const std::string &path)
| Resolves the given path and returns the canonical path.
const std::string | basePath (const std::string &path)
| Returns the parent folder of the given path.
void | makeInitialChecks ()
| Makes the initial integrity checks.
const bool & | checkDataDB ()
| Checks the integrity of the logs data collection database.
void | backupDatabase ()
| Backs-up the logs data collection database.
void | setDbWorkingState (const bool &state)
| Called when a member begins/ends performing operations on the database.
void | craplogStarted ()
| The logs parser started working.
void | craplogFinished ()
| The logs parser finished working.
void | refreshStatsDates ()
| Queries the available dates from the db and apply to the tabs. More...

## Detailed Description

MainWindow.

The parent window

## Member Function Documentation

## geometryFromString()

void MainWindow::geometryFromString | ( | const std::string & | geometry | ) |

private

Retrieves the window geometry from the given string.

See also
  readConfigs()

## geometryToString()

const std::string MainWindow::geometryToString | ( |  | ) |

private

Converts the window's geometry to string.

See also
  writeConfigs()

## list2string()

const std::string MainWindow::list2string | ( | const std::vector< std::string > & | list,
|  | const bool & | user_agent = `false`
| ) |  |

private

Converts a list of items to a string.

Parameters

  list | The list to stringify
  user_agents | Whether to apply the special rule to parse user-agents lists or not

Returns
  The resulting string

See also
  writeConfigs()

## menu_actionEnglishGb_triggered

void MainWindow::menu_actionEnglishGb_triggered | ( |  | ) |

privateslot

MENU //// //////////

## refreshStatsDates()

void MainWindow::refreshStatsDates | ( |  | ) |

private

Queries the available dates from the db and apply to the tabs.

See also
  Crapview::refreshDates()

## string2list()

const std::vector< std::string > MainWindow::string2list | ( | const std::string & | string,
|  | const bool & | user_agent = `false`
| ) |  |

private

Retrieves a list of items from the given string.

Parameters

  list | The list to stringify
  user_agents | Whether to apply the special rule to parse user-agents lists or not

Returns
  The resulting list

See also
  readConfigs()

The documentation for this class was generated from the following files:

- logdoctor/mainwindow.h
- logdoctor/mainwindow.cpp